package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class FsIntegralCartVO {

    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("积分商品ID")
    private Long goodsId;

    @ApiModelProperty("积分商品名称")
    private String goodsName;

    @ApiModelProperty("添加购物车时所需积分")
    private Long integral;

    @ApiModelProperty("添加购物车所需金额")
    private BigDecimal cash;

    @ApiModelProperty("最新所需积分")
    private Long newIntegral;

    @ApiModelProperty("最新所需金额")
    private BigDecimal newCash;

    @ApiModelProperty("数量")
    private Integer cartNum;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @ApiModelProperty("修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;
}
